Jump to content
Sign in to follow this  
coverup

baghira theme rpm

Recommended Posts

I installed KDE 3.5.10 alongside KDE 4.2 on my Mandriva 2009.1 PC using urpmi task-kde3. I would like to repackage the baghira theme rpm (available from PLF) to match the new location of KDE libraries in /opt/kde3. The package was created for 2008 spring, but it installs fine via the MCC, all dependencies are satisfied. Can please anybody walk me through this?

 

 

[moved from Art and Design by spinynorman]

Share this post


Link to post
Share on other sites

If it's installing and working, then it should be as simple as getting the source RPM and rebuilding it.

rpm --rebuild foobar.src.rpm

This should be done as user, not root, and several devel packages (qt3, kdelibs etc) should be installed.

Before rebuilding you most likely have to export qt3 and kde3 to your terminal session, say like

. /etc/profile.d/kde3.sh
 . /etc/profile.d/qt3.sh
 export PATH=$QTDIR/bin:$PATH

 

(replace /etc/profile.d with the actual position of the profiling scripts for Mandy- not having any handy now, so I can't recall where they are placed)

 

Remember that the export will last just for this terminal session- if you close the terminal then you must re-export again.

Share this post


Link to post
Share on other sites

I get this error message

error: Failed build dependencies:
       kdebase-devel is needed by kde-theme-baghira-0.8-2plf2009.1.src

According to urpmi, kdebase-devel does not exist. There is kdebase3-devel-doc, so I am assuming there must be kdebase3-devel as well? Should I use kdebase4-devel? I am trying to rebuild the package for KDE3.5.10. Actually, the source is called kde-theme-baghira-0.8-2plf2008.1.src. I don't know where 2009.1 comes from....

Edited by spinynorman

Share this post


Link to post
Share on other sites

bump?

 

Meanwhile, I manually created symlinks to the files from the existing package (there is one on PLF for 2008 Spring), and now can choose Baghira in the Window Decorations submenu, but still there is no Baghira entry for Style. As a result, I cannot change buttons, tabs, etc.

Share this post


Link to post
Share on other sites

The problem is that 2009.0 and 2009.1 have relegated KDE3 under /opt/kde3 so it's hard to use a 2008.1 package as the paths are all different.

 

I don't have an easy solution for you, maybe if you edit the specfile you get it working but that requires package building skills (can't help you with that as my package building skills are very basic).

Edited by tux99

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...